#!/bin/bash

set -e
set -o pipefail

DB=ngas
PATH_TO_SQL_FILE=/repos/ngas/src/ngamsCore/ngamsSql/ngamsCreateTables-PostgreSQL.sql

echo "Creating database '$DB' "
createdb -U $POSTGRES_USER -O $POSTGRES_USER $DB

echo "Populating database '$DB' "
psql -U $POSTGRES_USER -1 -d $DB -f $PATH_TO_SQL_FILE

echo "'$DB' was created and populated successfully"
